// Copyright (C) 2011 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


function A = nisp_getsampling ( n , nx , __sobolfo_randgen__ )
    if ( typeof( __sobolfo_randgen__ ) == "list" ) then
        // List
        __sobolfo_randgen__f = __sobolfo_randgen__ (1);
    end
    A = zeros(n , nx)
    for i = 1 : nx
        if ( typeof( __sobolfo_randgen__ ) == "list" ) then
            // List
            Ai = __sobolfo_randgen__f ( n , i , __sobolfo_randgen__ (2:$));
        else
            // Macro or compiled macro
            Ai = __sobolfo_randgen__ ( n , i );
        end

        if ( size(Ai)<>[n 1] ) then
            errmsg = msprintf(gettext("%s: The size of the output of randgen is [%d,%d], which is different from [%d,%d]."), "nisp_sobolsa" , size(Ai,"r") , size(Ai,"c") , n , 1 );
            error(errmsg)
        end
        A(:,i) = Ai
    end
endfunction
