// Copyright (C) 2013 - Michael Baudin
// Copyright (C) 2011 - DIGITEO - Michael Baudin
// Copyright (C) 2011 - CEA - Jean-Marc Martinez
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


// Compute confidence interval for sensitivity indices by Sobol, Ishigami, Homma.
function [ smin , smax ] = nisp_sobolsaInterval ( s, nx, n, c )

    alpha = c
    p = 1-alpha/2
    q = alpha/2
    x = cdfnor("X",0,1,p,q)
    sigma = x/sqrt(n-3.)
    for i = 1 : nx
        z = 0.5 * log( (1 + s(i)) / (1 - s(i)) );
        zmin = z - sigma
        zmax = z + sigma
        smin(i) = tanh(zmin)
        smax(i) = tanh(zmax)
    end
endfunction

