// Copyright (C) 2012 - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

// <-- Non-regression test for bug 863 -->
//
// <-- URL -->
// http://forge.scilab.org/index.php/p/nisp/issues/863/
//
// <-- Short Description -->
// polychaos_sasummary fails.

function y = Ishigami (x)
  a = 7; b = 0.1;
  y(1) = sin(x(1)) + a * sin(x(2))**2 + b * x(3)**4 * sin(x(1));
  y(2) = 2. * y(1);
endfunction

// 4.1 Reprsentation des paramtres incertains
srvu = setrandvar_new();
for i=1:3
  vu(i) = randvar_new("Uniforme", -%pi, +%pi);
  setrandvar_addrandvar ( srvu, vu(i));
end
setrandvar_getlog(srvu)
nx = setrandvar_getdimension ( srvu ); 

// Reprsentation des variables stochastiques
srvx = setrandvar_new(nx);
setrandvar_getlog(srvx)
ny = 2;
pc = polychaos_new ( srvx , ny );

// 4.3 Plan d'expriences numriques
degre = 6;
setrandvar_buildsample(srvx,"Petras",degre);
np = setrandvar_getsize(srvx);
mprintf("Nombre de simulations %d\n",np);
planx = setrandvar_getsample(srvx);
fprintfMat("planx.dat",planx);
setrandvar_save(srvx, "planx2.dat");

setrandvar_buildsample( srvu , srvx );
planu = setrandvar_getsample(srvu);
fprintfMat("planu.dat",planu);
setrandvar_save(srvu, "planu2.dat");

// 4.4 Ralisation du plan d'expriences numriques
np = setrandvar_getsize(srvx);
polychaos_setsizetarget(pc, np);
for k=1:np
  inputdata = setrandvar_getsample(srvu,k);
  outputdata = Ishigami(inputdata);
  for j=1:ny
    polychaos_settarget(pc,k,j,outputdata(j));
  end
end

// 4.5 Calcul des coefficients
polychaos_setdegree(pc,degre);
polychaos_computeexp(pc,srvx,"Integration");
polychaos_sasummary(pc);
polychaos_destroy(pc);
for i=1:3
  randvar_destroy(vu(i));
end
setrandvar_destroy(srvu);
setrandvar_destroy(srvx);
