
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
// Copyright (C) 2010 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


// Load several functions require for the test.
path = nisp_getpath();
testpath = fullfile(path,"tests","unit_tests","polychaos");
exec(fullfile(testpath,"createMyPolychaos2.sci"));
exec(fullfile(testpath,"cleanupMyPolychaos.sci"));



// Test polychaos_getinvquantile ( pc , threshold , ovar )
nisp_initseed ( 0 );
[ pc , srvx , rvx1 , rvx2 , srvu , vu1 , vu2 ] = createMyPolychaos2();
polychaos_computeexp(pc,srvx,"Integration");
threshold = 1.1;
expected = 0.3620408;
np = 10000;
//mu=2;
//sigma=sqrt(0.5^2+2.5^2);
//q=distfun_normcdf(1.1,mu,sigma) // 0.3620408
//
// QmcSobol
polychaos_buildsample ( pc , "QmcSobol" , np );
computed = polychaos_getinvquantile ( pc , threshold , 1 );
assert_checkalmostequal ( computed , expected , 1.e-2 );
computed = polychaos_getinvquantile ( pc , threshold );
assert_checkalmostequal ( computed , expected , 1.e-2 );
//
// MonteCarlo
polychaos_buildsample ( pc , "MonteCarlo" , np );
computed = polychaos_getinvquantile ( pc , threshold , 1 );
assert_checkalmostequal ( computed , expected , 1.e-1 );
computed = polychaos_getinvquantile ( pc , threshold );
assert_checkalmostequal ( computed , expected , 1.e-1 );
//
// Lhs
polychaos_buildsample ( pc , "Lhs" , np );
computed = polychaos_getinvquantile ( pc , threshold , 1 );
assert_checkalmostequal ( computed , expected , 1.e-2 );
computed = polychaos_getinvquantile ( pc , threshold );
assert_checkalmostequal ( computed , expected , 1.e-2 );
//
cleanupMyPolychaos ( pc , srvx , rvx1 , rvx2 , srvu , vu1 , vu2 );

