
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
// Copyright (C) 2010 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

// Compute the first order sensitivity indices of the ishigami function.
// Three random variables uniform in [-pi,pi].
function y = ishigami (x)
    a=7.
    b=0.1
    s1=sin(x(:,1))
    s2=sin(x(:,2))
    x34 = x(:,3).^4
    y(:,1) = s1 + a.*s2.^2 + b.*x34.*s1
endfunction
function x = myrandgen ( m , i )
    x = distfun_unifrnd(-%pi,%pi,m,1)
endfunction
distfun_seedset(0);
a=7.;
b=0.1;
exact = nisp_ishigamisa ( a , b );
//
// Get all sensitivity indices.
nx = 3;
distfun_seedset(0);
[ si , nbevalf , mi ] = nisp_sobolsaAll ( ishigami , nx , myrandgen );
assert_checkequal ( nbevalf , 70000 );
miexpected = [
1,0,0;
0,1,0;   
0,0,1;   
1,1,0;   
1,0,1;   
0,1,1;   
1,1,1
];
assert_checkequal ( mi , miexpected );
siexpected = [
exact.S1
exact.S2
exact.S3
exact.S12
exact.S13
exact.S23
exact.S123
];
assert_checkalmostequal ( si, siexpected , [] , 1.e-1 );
assert_checkalmostequal ( sum(si) , 1 , 10 * %eps );

