
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
// Copyright (C) 2010 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

// Compute the first order sensitivity indices of the ishigami function.
// Three random variables uniform in [-pi,pi].
function y = ishigami (x)
    a=7.
    b=0.1
    s1=sin(x(:,1))
    s2=sin(x(:,2))
    x34 = x(:,3).^4
    y(:,1) = s1 + a.*s2.^2 + b.*x34.*s1
endfunction
function x = myrandgen ( m , i )
    x = distfun_unifrnd(-%pi,%pi,m,1)
endfunction
distfun_seedset(0);
a=7.;
b=0.1;
exact = nisp_ishigamisa ( a , b );
//
// Get total sensitivity indices.
nx = 3;
distfun_seedset(0);
[ st , nbevalf ] = nisp_sobolsaTotal ( ishigami , nx , myrandgen );
assert_checkalmostequal ( st(1), exact.ST1 , 1.e-2 );
assert_checkalmostequal ( st(2), exact.ST2 , 1.e-2 );
assert_checkalmostequal ( st(3), exact.ST3 , [] , 1.e-2 );
assert_checkequal ( nbevalf , 40000 );
