// Copyright (C) 2012 - Michael Baudin
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
// Copyright (C) 2010 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

// <-- JVM NOT MANDATORY -->

// Test setrandvar_save into data file
srv = setrandvar_new ( );
rv1 = randvar_new("Normale",1.0,0.5);
rv2 = randvar_new("Uniforme",1.0,2.5);
setrandvar_addrandvar ( srv , rv1 );
setrandvar_addrandvar ( srv , rv2 );
np = 12;
setrandvar_setsample ( srv , "MonteCarlo" , np );
expected = [
2 3
3 4
4 5
5 6
6 7
7 8
8 9
9 10
10 11
11 12
12 13
13 14
];
setrandvar_setsample ( srv , expected );
filename=fullfile(TMPDIR,"mydata.txt");
setrandvar_save ( srv , filename );
setrandvar_destroy(srv);
randvar_destroy(rv1);
randvar_destroy(rv2);

// Now create a new set, based on the file.
srv = setrandvar_new ( filename );
computed = setrandvar_getsample ( srv );
assert_checkalmostequal ( computed , expected , %eps);
setrandvar_destroy(srv);

// Save an empty setrandvar
srv=setrandvar_new();
filename=fullfile(TMPDIR,"mydata.txt");
setrandvar_save(srv,filename);
setrandvar_destroy(srv);
path = nisp_getpath();
reffile = fullfile(path,"tests","unit_tests","setrandvar","empty.txt");
assert_checkfilesequal(reffile,filename);
